# plant.cpp File Reference

Implementation of the "Plant" layer. More...

`#include <synfig/angle.h>`
`#include "plant.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <ETL/calculus>`
`#include <ETL/bezier>`
`#include <ETL/hermite>`
`#include <vector>`
`#include <synfig/valuenode_bline.h>`

## Defines

#define | SAMPLES 300
#define | ROUND_END_FACTOR (4)
#define | CUSP_THRESHOLD (0.15)
#define | NO_LOOP_COOKIE synfig::Vector(84951305,7836658)
#define | EPSILON (0.000000001)
#define | CUSP_TANGENT_ADJUST (0.025)

## Functions

| SYNFIG_LAYER_INIT (Plant)
| SYNFIG_LAYER_SET_NAME (Plant,"plant")
| SYNFIG_LAYER_SET_LOCAL_NAME (Plant, N_("Plant"))
| SYNFIG_LAYER_SET_CATEGORY (Plant, N_("Other"))
| SYNFIG_LAYER_SET_VERSION (Plant,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Plant,"$Id$")

## Detailed Description

Implementation of the "Plant" layer.

$Id$

## Define Documentation

#define SAMPLES 300

#define ROUND_END_FACTOR (4)

#define CUSP_THRESHOLD (0.15)

#define NO_LOOP_COOKIE synfig::Vector(84951305,7836658)

#define EPSILON (0.000000001)

#define CUSP_TANGENT_ADJUST (0.025)

## Function Documentation

SYNFIG_LAYER_INIT | ( | Plant |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Plant | ,
|  | "plant" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Plant | ,
|  | N_("Plant") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Plant | ,
|  | N_("Other") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Plant | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Plant | ,
|  | "$Id$" |  |
| ) |  |  |